<?php
namespace Bushelpowered\Api\Trade\Offers\V1\Model;
        
class ESignStandard implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp
{
    public string $remoteId;
    public string $contractId;
    public string $email;
    public string $message;
    public string $subject;
    public string $title;
    public string $hasError;
    public string $isTest;
    public int $archivedAt;
    public int $completedAt;
    public int $declinedAt;
    public int $pendingAt;
    public int $invalidAt;
    public int $createdAt;

    /**
     */
    public function __construct(string $remoteId, string $contractId, string $email, string $message, string $subject, string $title, string $hasError, string $isTest, int $archivedAt, int $completedAt, int $declinedAt, int $pendingAt, int $invalidAt, int $createdAt)
    {
        $this->remoteId = $remoteId;
        $this->contractId = $contractId;
        $this->email = $email;
        $this->message = $message;
        $this->subject = $subject;
        $this->title = $title;
        $this->hasError = $hasError;
        $this->isTest = $isTest;
        $this->archivedAt = $archivedAt;
        $this->completedAt = $completedAt;
        $this->declinedAt = $declinedAt;
        $this->pendingAt = $pendingAt;
        $this->invalidAt = $invalidAt;
        $this->createdAt = $createdAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
}